Recurring Payments
Get Recurring Transactions
POST/subscription/transactions

Retrieves a list of all executed transactions under a specified recurring subscription.

Header Parameters

token*
string

Body Parameters

subscription_id*
string
POST/subscription/transactions
1curl --location 'https://api.ipospays.tech/v1/subscription/transactions' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "subscription_id": "12345"
6}'
Response

// Awaiting response…

Sample response
{
  "data": {
    "transactions": [
      {
        "transaction_id": "51088655988483539520250927060054",
        "amount": 1.11,
        "last4": "4242",
        "payment_date": "2025-09-27",
        "tpn": "",
        "status": "SUCCESS"
      }
    ],
    "subscription_id": "KJOT4DMXNILODKR",
    "tpn": "",
    "status": "ACTIVE",
    "amount": 1.11,
    "currency": "USD",
    "recurring_frequency": "ANNUALLY",
    "next_payment_date": "2026-09-27",
    "end_criteria": "COUNT",
    "end_value": 2,
    "type": "CARD",
    "reference_id": "111111111111"
  },
  "message": "transactions",
  "response_code": "success",
  "status_code": 200,
  "request_id": "TEST-20251112013220-2HO5ZL",
  "timestamp": "2025-11-12T06:32:20.540Z"
}